;Directional Coupler, by K.Vikraman,vikramank.com  
(set! geometry-lattice (make lattice (size 80 16 no-size)));geometry of the structure
(set! geometry (list
              (make block (center 0 0.75) (size infinity 1 infinity)
                      (material (make dielectric (epsilon 2.25))))                      
              (make block (center 0 -0.75) (size infinity 1 infinity)
                      (material (make dielectric (epsilon 2.25))))))
;source parameters
(set! sources (list
               (make source
                 (src (make continuous-src (wavelength 3)))
                 (component Ez)
                 (center -37 0.75))))
(set! pml-layers (list (make pml (thickness 1.0))))
(set! resolution 10);resolution of the structure 
(run-until 400
           (at-beginning output-epsilon)
           ;(at-end output-efield-z))
 (to-appended "ez" (at-every 0.6 output-efield-z))) 
